<?php   
/*  
Plugin Name:	Folloyu widget bar
Plugin URI:	http://www.folloyu.com/
Description:	Plugin for displaying a widget that allow QR enabled mobiles to continue their session on the mobile device
Author:		Rosenberg Arkady @ Sergata.ltd
Version:	0.01
Author URI:	http://www.folloyu.com/  
*/  

function folloyu_com_widget_render()
{
	print stripslashes(get_option("folloyu_com javascript"));
}

function folloyu_com_options_render()
{
	if ($_SERVER["REQUEST_METHOD"]=="POST")
	{
		if (FALSE===update_option("folloyu_com javascript",$_POST["folloyu_com_javascript"]))
		{
			?>
			<div class="updated"><p><strong><?php _e("Options wasn't updated." ); ?></strong></p></div>
			<?
		} else {
			?>
			<div class="updated"><p><strong><?php _e("Options updated." ); ?></strong></p></div>
			<?
		}
	} else {
		?>
		<div class="wrap">
		<h2><? print __( 'Folloyu.com options', 'folloy_com_trdom' )?></h2>
		<? print __( 'PLease insert the JavaScript code obtained from folloyu.com website after the registration', 'folloy_com_trdom' )?>
		<form name="folloyu_com_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
			<textarea name="folloyu_com_javascript" style="width:300px; height:100px"><? print stripslashes(get_option("folloyu_com javascript"))?></textarea>
			<p class="submit">
			<input type="submit" name="Submit" value="<?php _e('Update Options', 'folloy_com_trdom' ) ?>" />
			</p>
		</form>
		</div>
		<?
	}
}
function folloyu_com_admin_render()
{
	add_options_page("Folloyu.com options", "Folloyu.com widget", "manage_options", "folloyu_com_widget_options", "folloyu_com_options_render");
}

add_action('admin_menu',	'folloyu_com_admin_render'); 
add_action('wp_footer',		'folloyu_com_widget_render');